# extcheck - A utility to detect jar conflicts

> extcheck detects version conflicts between a target jar file and currently installed extension jar files.

## SYNOPSIS

>     extcheck [ -verbose ] targetfile.jar

## DESCRIPTION

> The extcheck utility checks a specified Jar file for title and version conflicts with any extensions installed in the JavaTM 2 SDK. Before installing an extension, you can use this utility to see if the same or a more recent version of the extension is already installed.

> The extcheck utility compares the `Specification-title` and `Specification-version` headers in the manifest of `targetfile.jar` file against the corresponding headers in all Jar files currently installed in the extension directory. (The extension directory is `jre\lib\ext` by default.) The extcheck utility compares version numbers in the same way as the method `java.lang.Package.isCompatibleWith`.

> If no conflict is detected, the return code is `0`.

> If the manifest of any of the jar file in the extensions directory has the same `Specification-title` and the same or a newer `Specification-version` number, a non-zero error code is returned. A non-zero error code is also returned if `targetfile.jar` does not have the `Specification-title` or `Specification-version` attributes in its manifest.

## OPTIONS

> -verbose
>   Lists Jar files in the extension directory as they are checked. Additionally, manifest attributes of the target jar file and any conflicting jar files are also reported.

> -J option
>   Pass option to the Java virtual machine, where option is one of the options described on the reference page for the java application launcher. For example, -J-Xms48m sets the startup memory to 48 megabytes.

## SEE ALSO

> jar

Copyright © 2002 Sun Microsystems, Inc. All Rights Reserved. | Java Software